Bug 1261593 - AttributeError: 'MultipathDevice' object has no attribute 'isMagic'
AttributeError: 'MultipathDevice' object has no attribute 'isMagic'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jiri Konecny
Release Test Team
abrt_hash:3364d762cd83e284f811d8b4344...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 14:08 EDT by Amit Supugade
Modified: 2016-09-05 05:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 14:09:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (563.63 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: anaconda.log (23.61 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: environ (492 bytes, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: ks.cfg (9.96 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: lsblk_output (3.47 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: nmcli_dev_list (4.05 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: os_info (522 bytes, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: program.log (56.41 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: storage.log (179.80 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: syslog (128.67 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: ifcfg.log (29.27 KB, text/plain)
2015-09-09 14:08 EDT, Amit Supugade
no flags Details
File: packaging.log (42.74 KB, text/plain)
2015-09-09 14:09 EDT, Amit Supugade
no flags Details

  None (edit)
Description Amit Supugade 2015-09-09 14:08:39 EDT
Description of problem:
I was verifying bz1187648 and while selecting disks, its exiting with this error.

Version-Release number of selected component:
anaconda-21.48.22.41-1

The following was filed automatically by anaconda:
anaconda 21.48.22.41-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 274, in empty_device
    empty = all([p.isMagic for p in partitions])
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 755, in shouldClear
    if not empty_device(device, self.devicetree):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 962, in getFreeSpace
    clearPartDisks=[disk.name])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 613, in _update_summary
    free_space = self.storage.getFreeSpace(disks=self.disks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 520, in refresh
    self._update_summary()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/hubs/__init__.py", line 355, in _on_spoke_clicked
    spoke.refresh()
AttributeError: 'MultipathDevice' object has no attribute 'isMagic'

Additional info:
addons:         com_redhat_kdump, org_fedora_oscap
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/images/storageqe-84.lab.eng.brq.redhat.com/initrd console=ttyS1,115200n81 ks=http://beaker.engineering.redhat.com/kickstart/1551831 ksdevice=bootif serial vnc netboot_method=pxe BOOT_IMAGE=/images/storageqe-84.lab.eng.brq.redhat.com/kernel BOOTIF=01-a0-d3-c1-02-1c-c8 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.10.0-313.el7.x86_64
product:        Red Hat Enterprise Linux 7
release:        Red Hat Enterprise Linux Workstation release 7.2 Beta (Maipo)
release_type:   pre-release
type:           anaconda
uid:            0
version:        7.2
Comment 1 Amit Supugade 2015-09-09 14:08:43 EDT
Created attachment 1071880 [details]
File: anaconda-tb
Comment 2 Amit Supugade 2015-09-09 14:08:45 EDT
Created attachment 1071881 [details]
File: anaconda.log
Comment 3 Amit Supugade 2015-09-09 14:08:46 EDT
Created attachment 1071882 [details]
File: environ
Comment 4 Amit Supugade 2015-09-09 14:08:47 EDT
Created attachment 1071883 [details]
File: ks.cfg
Comment 5 Amit Supugade 2015-09-09 14:08:48 EDT
Created attachment 1071884 [details]
File: lsblk_output
Comment 6 Amit Supugade 2015-09-09 14:08:49 EDT
Created attachment 1071885 [details]
File: nmcli_dev_list
Comment 7 Amit Supugade 2015-09-09 14:08:51 EDT
Created attachment 1071886 [details]
File: os_info
Comment 8 Amit Supugade 2015-09-09 14:08:52 EDT
Created attachment 1071887 [details]
File: program.log
Comment 9 Amit Supugade 2015-09-09 14:08:55 EDT
Created attachment 1071888 [details]
File: storage.log
Comment 10 Amit Supugade 2015-09-09 14:08:57 EDT
Created attachment 1071889 [details]
File: syslog
Comment 11 Amit Supugade 2015-09-09 14:08:58 EDT
Created attachment 1071890 [details]
File: ifcfg.log
Comment 12 Amit Supugade 2015-09-09 14:09:00 EDT
Created attachment 1071891 [details]
File: packaging.log
Comment 14 Samantha N. Bueno 2016-01-26 10:24:26 EST
Does this still occur with RHEL-7.2 GA?
Comment 15 Amit Supugade 2016-01-26 11:11:13 EST
I have not seen this occurring on RHEL-7.2 GA.
Comment 16 David Cantrell 2016-01-28 14:09:49 EST
Closing per comment #15.

Note You need to log in before you can comment on or make changes to this bug.